Qtcreator 1.1 packaging needed

Asked by Dat Chu

Since QtCreator 1.1 has been out for a while, we should have it packaged. I would appreciate it if some MOTU developer would package this new version. That or someone can point me to a link so I learn how to package a new version of a software and submit to be included into the main repos.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu qt-creator Edit question
Assignee:
No assignee Edit question
Solved by:
Dat Chu
Solved:
Last query:
Last reply:
Revision history for this message
Steve (stupendoussteve-deactivatedaccount) said :
#1

Look at https://launchpad.net/ubuntu/+bugs?field.tag=needs-packaging and see if someone has requested it. If not, make a bug similar to the others and the process goes from there.

Revision history for this message
Steve (stupendoussteve-deactivatedaccount) said :
#2

For a more in depth answer, please read https://wiki.ubuntu.com/UbuntuDevelopment/NewPackages

If the package is already in Debian, it should be pulled in for Karmic. When it is in Karmic you may request a backport if you feel it is warranted.

Revision history for this message
Dat Chu (dattanchu) said :
#3

At the current rate of development by Nokia on QtCreator, new packages are being released almost every month. I have had good luck with simply downloading the installer on Nokia website and run it.

I guess for now the QtCreator package doesn't need to be updated. Once QtCreator is more mature and new versions are released slower, it will make sense again to have it packaged and maintained through Ubuntu repository.